package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.SysNotice;
import com.ruoyi.system.domain.SysNoticeUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 通知公告表 数据层
 *
 * @author ruoyi
 */
public interface SysNoticeUserMapper extends BaseMapper<SysNoticeUser>
{
    /**
     * 查询公告信息
     *
     * @param noticeUserId 公告ID
     * @return 公告信息
     */
    public SysNoticeUser selectNoticeUserById(Long noticeUserId);

    /**
     * 查询公告列表
     *
     * @param noticeUser 公告信息
     * @return 公告集合
     */
    public List<SysNoticeUser> selectNoticeUserList(SysNoticeUser noticeUser);

    /**
     * 新增公告
     *
     * @param noticeUser 公告信息
     * @return 结果
     */
    public int insertNoticeUser(SysNoticeUser noticeUser);

    /**
     * 修改公告
     *
     * @param noticeUser 公告信息
     * @return 结果
     */
    public int updateNoticeUser(SysNoticeUser noticeUser);

    /**
     * 批量删除公告
     *
     * @param noticeUserId 公告ID
     * @return 结果
     */
    public int deleteNoticeUserById(Long noticeUserId);

    /**
     * 批量删除公告信息
     *
     * @param noticeUserIds 需要删除的公告ID
     * @return 结果
     */
    public int deleteNoticeUserByIds(Long[] noticeUserIds);

    List<SysNoticeUser> selectNoticeUsers(@Param("noticeId")Long noticeId,@Param("userIds") List<Long> userIds);

    int insertBatch(@Param("list") List<SysNoticeUser> users);

    List<Map<String, Object>> selectMyNoticeList(SysNoticeUser notice);
}
