package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.SysNotice;
import com.ruoyi.system.domain.SysNoticeUser;

import java.util.List;
import java.util.Map;

/**
 * 公告 服务层
 * 
 * @author ruoyi
 */
public interface ISysNoticeUserService
{
    /**
     * 查询公告信息
     * 
     * @param noticeUserId 公告ID
     * @return 公告信息
     */
    public SysNoticeUser selectNoticeUserById(Long noticeUserId);

    /**
     * 查询公告列表
     * 
     * @param sysNoticeUser 公告信息
     * @return 公告集合
     */
    public List<SysNoticeUser> selectNoticeList(SysNoticeUser sysNoticeUser);

    /**
     * 新增公告
     * 
     * @param sysNoticeUser 公告信息
     * @return 结果
     */
    public int insertNoticeUser(SysNoticeUser sysNoticeUser);

    /**
     * 修改公告
     * 
     * @param sysNoticeUser 公告信息
     * @return 结果
     */
    public int updateNoticeUser(SysNoticeUser sysNoticeUser);

    /**
     * 删除公告信息
     * 
     * @param noticeUserId 公告ID
     * @return 结果
     */
    public int deleteNoticeUserById(Long noticeUserId);
    
    /**
     * 批量删除公告信息
     * 
     * @param noticeUserIds 需要删除的公告ID
     * @return 结果
     */
    public int deleteNoticeUserByIds(Long[] noticeUserIds);

    List<Map<String, Object>> selectMyNoticeList(SysNoticeUser notice);
}
