package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.system.domain.SysNotice;
import com.ruoyi.system.domain.SysNoticeUser;
import com.ruoyi.system.mapper.SysNoticeUserMapper;
import com.ruoyi.system.service.ISysNoticeService;
import com.ruoyi.system.service.ISysNoticeUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 公告 服务层实现
 *
 * @author ruoyi
 */
@Service
public class SysNoticeUserServiceImpl extends ServiceImpl<SysNoticeUserMapper, SysNoticeUser> implements ISysNoticeUserService
{
    @Autowired
    private SysNoticeUserMapper noticeUserMapper;

    /**
     * 查询公告信息
     *
     * @param noticeId 公告ID
     * @return 公告信息
     */
    @Override
    public SysNoticeUser selectNoticeUserById(Long noticeId)
    {
        return noticeUserMapper.selectById(noticeId);
    }

    /**
     * 查询公告列表
     *
     * @param notice 公告信息
     * @return 公告集合
     */
    @Override
    public List<SysNoticeUser> selectNoticeList(SysNoticeUser notice)
    {
        return noticeUserMapper.selectNoticeUserList(notice);
    }

    /**
     * 新增公告
     *
     * @param notice 公告信息
     * @return 结果
     */
    @Override
    public int insertNoticeUser(SysNoticeUser notice)
    {
        return noticeUserMapper.insertNoticeUser(notice);
    }


    /**
     * 修改公告
     *
     * @param notice 公告信息
     * @return 结果
     */
    @Override
    public int updateNoticeUser(SysNoticeUser notice)
    {
        return noticeUserMapper.updateById(notice);

    }

    /**
     * 删除公告对象
     *
     * @param noticeId 公告ID
     * @return 结果
     */
    @Override
    public int deleteNoticeUserById(Long noticeId)
    {
        return noticeUserMapper.deleteNoticeUserById(noticeId);
    }

    /**
     * 批量删除公告信息
     *
     * @param noticeIds 需要删除的公告ID
     * @return 结果
     */
    @Override
    public int deleteNoticeUserByIds(Long[] noticeIds)
    {
        return noticeUserMapper.deleteNoticeUserByIds(noticeIds);
    }

    @Override
    public List<Map<String, Object>> selectMyNoticeList(SysNoticeUser notice) {
        return noticeUserMapper.selectMyNoticeList(notice);
    }


}
