import request from '@/utils/request'

// 查询护理申请列表
export function listApplications(query) {
  return request({
    url: '/care/applications/list',
    method: 'get',
    params: query
  })
}


// 查询护理申请详细
export function getApplications(applyId) {
  return request({
    url: '/care/applications/' + applyId,
    method: 'get'
  })
}

// 新增护理申请
export function addApplications(data) {
  return request({
    url: '/care/applications',
    method: 'post',
    data: data
  })
}

// 修改护理申请
export function updateApplications(data) {
  return request({
    url: '/care/applications',
    method: 'put',
    data: data
  })
}

// 删除护理申请
export function delApplications(applyId) {
  return request({
    url: '/care/applications/' + applyId,
    method: 'delete'
  })
}
//指派
export function assignApplications(data) {
  return request({
    url: '/care/applications/assign',
    method: 'post',
    data: data
  })
}

// 送审护理申请
export function startApplications(data) {
  return request({
    url: '/care/applications/start',
    method: 'post',
    data: data
  })
}

//审核护理申请
export function checkApplications(data) {
  return request({
    url: '/care/applications/check',
    method: 'post',
    data: data
  })
}

//完成护理申请
export function completeApplications(data) {
  return request({
    url: '/care/applications/complete',
    method: 'post',
    data: data
  })
}

// 查询指派人员列表
export function assignlistApplications(query) {
  return request({
    url: '/care/applications/assignList',
    method: 'get',
    params: query
  })
}

// 打卡列表
export function clocklistApplications(query) {
  return request({
    url: '/care/applications/clockList',
    method: 'get',
    params: query
  })
}

// 打卡列表
export function scorelistApplications(query) {
  return request({
    url: '/care/applications/scoreList',
    method: 'get',
    params: query
  })
}